Passer au contenu principal
POST
/api/v1/audio/transcriptions

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

multipart/form-data

Request to transcribe audio to text.

file
file

The audio file object (not a base64 string). Supported formats: WAV, WAVE, FLAC, M4A, AAC, MP4, MP3, OGG, OGA, WEBM.

model
enum<string>
défaut:nvidia/parakeet-tdt-0.6b-v3

The model to use for transcription. See https://docs.venice.ai/models/overview for more information.

Options disponibles:
nvidia/parakeet-tdt-0.6b-v3,
openai/whisper-large-v3,
fal-ai/wizper,
elevenlabs/scribe-v2,
stt-xai-v1
Exemple:

"openai/whisper-large-v3"

response_format
enum<string>
défaut:json

The format of the transcript output, in one of these options: json, text.

Options disponibles:
json,
text
Exemple:

"json"

timestamps
boolean
défaut:false

Whether to include timestamps in the response.

Exemple:

false

language
string

ISO 639-1 language code (e.g., "en", "es", "fr"). Optional - if not provided, the model will auto-detect the language. Note: Only supported by certain models (e.g., Whisper). Ignored by models that do not support language hints.

Exemple:

"en"

Réponse

Transcription completed successfully

Transcription response

text
string
requis

The transcribed text

duration
number

Duration of the audio in seconds

timestamps
object

Timestamps for the transcription (only if timestamps=true)